### Name: pcme.entropy
### Title: Compute entropy and its derivatives
### Aliases: pcme.entropy sigma2.to.ent sigma2.to.entgrad sigma2.to.enthess
###   mynorm
### Keywords: ts

### ** Examples

sigma2.to.ent(c(1,0.50,0.8))   # -0.3054302
sum(log(c(1,0.50,0.8)))/3  # same

##ex From myhessian.r
R <- matrix(c(1,1,2,0.9,0.8,0.7,0.4,0.5,0.6,0.9,0.9,0.9),nrow=3)
Tau <- matrix(c(1,1,1,0,1,0,1,0,2,1,2,2),nrow=3)
R[,1]<-R[,1]+1
LD(R,Tau)

res <- LDhessian(R,Tau)

sigma2.to.ent(res$sigma2f)
sigma2.to.entgrad(res$sigma2f,res$gradsigma2f)

H <- sigma2.to.enthess(res$sigma2f,res$gradsigma2f,res$grad2sigma2f)
det(-H)



